import request from '@/utils/request'

// 登录
export function login(data) {
  return request({
    url: '/login',
    method: 'post',
    data
  })
};

// 生成验证码 
export function getCode() {
  return request({
    url: "/captchaImage",
    method: 'get'
  })
};

// 获取 用户信息
export function getUserInfo() {
  return request({
    url: '/getInfo',
    method: 'get'
  })
};

// 获取验证码 图片
export function getCodeimg() {
  return request({
    url: '/captchaImage',
    method: 'get'
  })
};